version: "3.6"
services:
  backstage:
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - 3000:3000
      - 7007:7007
    environment:
      POSTGRES_HOST: db
      POSTGRES_PORT: 5432
      POSTGRES_USER: backstage
      POSTGRES_PASSWORD: backstage
    depends_on:
      - db
    # volumes:
    #   - ./packages:/app/packages
    #   - ./plugins:/app/plugins
  
  db:
    image: postgres:16.1
    restart: on-failure
    environment:
      POSTGRES_PASSWORD: testpassword
      POSTGRES_USER: backstage
      POSTGRES_DB: backstage
    volumes:
      - ./.postgres:/var/lib/postgresql/data

  adminer:
    image: adminer
    restart: on-failure
    ports:
      - 8080:8080
    depends_on:
      - db